MORE(1)

NOM
more - Filtre lecteur de fichier

SYNOPSIS
more [-dlfpcsu] [-num] [+/ motif] [+ numligne]
     [fichier ...]

DESCRIPTION
more est un filtre permettant de se déplacer dans un texte écran par écran. Cette version est particulièrement primitive. Les utilisateurs doivent se convaincre que less(1) constitue une excellente émulation avec de nombreuses améliorations.

OPTIONS
Les options sur la ligne de commande sont décrites ci-dessous. La variable d'environnement MORE peut contenir des options supplémentaires (précédées par un tiret « - ») mais les options sur la ligne de commande ont priorité.

-num
    num est un nombre entier indiquant la taille en lignes de l'écran.

-d  more affiche le message « [Press space to continue, 'q' to quit.] » pour défiler et le message « [Press 'h' for instructions.] » au lieu d'émettre un bip quand on appuie sur une touche interdite.

-l  Normalement more considère que ^L (form feed) est un caractère spécial et attend après chaque ligne contenant un form feed. L'option -l supprime ce comportement.

-f  provoque un comptage logique des lignes, c'est-à-dire que les lignes longues ne sont pas découpées.

-p  Ne pas dérouler : efface l'écran avant d'afficher le texte.

-c  Ne pas dérouler : affiche les lignes en partant du haut et en effaçant les fins de ligne au fur et à mesure.

-s  Regroupe les lignes blanches consécutives en une seule.

-u  Supprime le soulignement.

+/  L'option +/ indique un texte à rechercher dans chaque fichier avant de l'afficher.

+num
    Commence à la ligne indiquée.

COMMANDES
more reconnaît un jeu de commandes interactives basé sur celui de vi(1). Certaines commandes peuvent être précédées d'un nombre décimal noté k ci-dessous. ^X signifie control-X.

h ou ?
    Aide : affiche un résumé des commandes. Si vous les avez toutes oubliées, tâchez de vous souvenir de celle-la.

ESPACE
    Affiche les k lignes suivantes. Par défaut, k est la taille de l'écran.

z   Affiche les k lignes suivantes. Par défaut k est la taille de l'écran mais l'argument fourni devient la nouvelle valeur par défaut.

RETURN
    Affiche les k lignes suivantes. Par défaut, k vaut 1 mais l'argument fourni devient la nouvelle valeur par défaut.

d ou ^D
    Déroule k lignes. La valeur par défaut vaut initialement 11 mais l'argument fourni devient la nouvelle valeur par défaut.

q ou Q ou INTERRUPT
    Arrêt.

s   Saute k lignes. Par défaut, saute une ligne.

f   Saute k écrans. Par défaut, saute un écran.

b ou ^B
    Recule de k écrans. Par défaut, recule d'un écran.

'   Retourne au point de départ de la dernière recherche.

=   Affiche le numéro de ligne courant.

/motif
    Recherche la k-ième occurrence d'une expression rationnelle. Par défaut, k vaut 1.

n   Recherche la k-ième occurrence de la dernière expression rationnelle. Par défaut k vaut 1.

!<cmd>
    ou :!<cmd> Exécute <cmd> dans un sous-shell.

v   Lance /usr/bin/vi sur la ligne courante.

^L  Réaffiche l'écran

:n  Passe au k-ième fichier suivant. Par défaut k=1.

:p  Passe au k-ième fichier précédent. Par défaut k=1.

:f  Affiche le nom et le numéro de ligne du fichier courant.

.   Répète la commande précédente.

ENVIRONNEMENT
more utilise les variables d'environnement suivantes quand elles existent :

MORE
    Cette variable contient les options préférées pour .B more.

SHELL
    Shell courant (normalement positionné par le shell au login).

TERM
    Spécifie le type de terminal ; utilisé par more pour connaître les codes de contrôle de l'écran.

AUTEURS
Eric Shienbrood, UC Berkeley
Modifié par Geoff Peck, UCB pour ajouter le soulignement et l'espacement simple.
Modifié par John Foderaro, UCB pour ajouter -c et la gestion de la variable d'environnement MORE.

VERSIONS

  Historique
La commande more est apparue dans BSD 3.0. Cette page documente la version 5.19 (Berkeley 6/29/88), qui est celle actuellement utilisée par la communauté Linux. Cette documentation a été constituée en utilisant les pages de manuel de plusieurs autres versions et après un examen exhaustif du code source.

DISPONIBILITÉ
La commande more fait partie du paquetage util-linux-ng et est disponible à l'adresse ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.

VOIR AUSSI
vi(1), less(1)

TRADUCTION
Ce document est une traduction réalisée par Michel Quercia <quercia AT cal DOT enst DOT fr> le 20 mai 1997 et révisée le 26 mai 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 more ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.